Subject: [bitcoin-dev] BIP-119 Meeting Reminder and Prelim Agenda

From: Jeremy <[email-masked]>
Date: Sun, 9 Jan 2022 23:59:18 -0800

Hi all,

As a reminder the first meeting for CTV will be this Tuesday at 12:00PM PT.

Based on feedback, I have included a preliminary agenda and time allocation
for the meeting at the end of this email. The main part of the meeting will
run for 1.5 hours, and will be followed by a post meeting discussion of
length 30 minutes for discussing broader next steps and consensus seeking
processes (this is separate to break up the technical review from the
metaphysics of consensus discussion and allow those who do not wish to
discuss a polite exit).

The agenda does not thoroughly cover motivations or use cases for CTV, such
as congestion control, vaults, payment pools, or non-interactive contract
openings. Those can be found in a multitude of sources (such as
https://rubin.io/advent21, https://learn.sapio-lang.org, https://utxos.org,
or https://github.com/kanzure/python-vaults/tree/master/vaults). Specific
applications built on CTV will be best reviewed in follow up meetings as
technical evaluation of how well CTV works for use cases requires a deep
understanding of how the CTV primitive works.

For similar reasons, this agenda does not do a deep dive into alternatives
to CTV. That discussion can be best had following a thorough review of CTV
itself. Helpful links for depthening understanding on covenant properties,
proposals, and varieties included below in a (loosely) recommended reading
order:
https://rubin.io/bitcoin/2021/12/04/advent-7/
https://rubin.io/bitcoin/2021/12/05/advent-8/
https://rubin.io/blog/2021/07/02/covenants/
https://utxos.org/alternatives/
https://arxiv.org/abs/2006.16714
https://rubin.io/bitcoin/2021/12/24/advent-27/
https://github.com/bitcoin/bips/blob/master/bip-0119.mediawiki#feature-redundancy
https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2021-September/019424.html

If you feel particular topics important to you are not represented in this
agenda or if I can make any improvements otherwise, please drop me a note
and I will endeavor to ensure they are either slotted into this meeting or
included in a second meeting.

That the meeting is tightly scheduled is by design: I want to respect
everyone's time and ensure that the meeting is highly productive. There is
always room for follow ups or further exploration at future meetings or as
mailing list follow ups.

Looking forward to discussing with you on tuesday,

Jeremy

*#topic Overview of BIP & Q&A (40 Mins)*
#subtopic what does CTV do? (5 minutes)

#subtopic which fields are in the digest? (5 minutes)

#subtopic the order / structure of fields in the digest? (5 minutes)

#subtopic the half-spend problem/solution? (5 minutes)

#subtopic using a NOP v.s. successX / legacy script types? (5 minutes)

#subtopic using sha256 v.s. Ripemd160 (5 minutes)

#subtopic general q&a (10 minutes)

*#topic Overview of Implementation & Testing (30 Minutes)*
#subtopic implementation walkthrough (15 minutes)

#subsubtopic validation burdens & caching (5 minutes)

#subtopic vectors: tx_valid.json + tx_invalid.json + transaction hashes
checking (2 minutes)

#subtopic functional test walkthrough (8 minutes)

*#topic Proposed Timeline Technical Feasibility (not advisibility) (10
minutes)*

*#topic Feedback on how to Structure Bounty Program (10 minutes)*
#post-meeting

*#topic open-ended feedback (is this meeting helpful, what could be better,
etc) (10 minutes)#topic What's required to get consensus / next steps? (20
minutes)*
#subtopic Discussion of "soft signals" utxos.org/signals (10 minutes)
#subtopic Discussion of activation mechanisms (10 minutes)

--
@JeremyRubin <https://twitter.com/JeremyRubin>
<https://twitter.com/JeremyRubin>